Subject: bug#55479: emacs-libgit test suite fails

From: "Jorge P. de Morais Neto" <[email-masked]>
Date: Tue, 17 May 2022 07:57:50 -0300

Hi.  Since Sunday, when Emacs 28.1 finally arrived in Guix, I have been
unable to install emacs-magit (I had to uninstall it so my system would
upgrade).  The test suite of emacs-libgit always fails (logs attached).
I have even once tried building with -c1.  This is on Debian bullseye;
Guix package manager was manually installed months ago and has been
working fine.

I even tried installing the emacs-libgit from git master, (with
"-with-branch=emacs-libgit=master") but then I get a segfault.

Regards

-- 
- Many people hate injustice but few check the facts; this causes more
  injustice.  Ask me about <https://stallmansupport.org>
- I am Brazilian.  I hope my English is correct and I welcome feedback.
- Free Software Supporter: https://www.fsf.org/free-software-supporter
- If an email of mine arrives at your spam box, please notify me.